import { AttributeConverter, FunctionalComponent, FucoComponent } from "../fuco";
import { VProps, ArgValues } from "../html";
declare type CmpProps = {
    [key: string]: unknown;
};
export declare class Component implements FucoComponent {
    _hooks: import("../fuco").Hooks<unknown>;
    props: CmpProps;
    result: unknown;
    constructor(fc: FunctionalComponent, props: VProps | undefined, args: ArgValues | undefined);
    _attr<T>(name: string, converter: AttributeConverter<T>): string | T | null;
    _observeAttr(): void;
    _dispatch(): void;
    _adoptStyle(): void;
}
export {};
