declare const cssSymbol: unique symbol;
export interface HasCSSSymbol {
    [cssSymbol]: string;
}
export declare const css: (strings: readonly string[], ...values: unknown[]) => {
    [cssSymbol]: string;
};
export declare const unsafeCSS: (css: string) => {
    [cssSymbol]: string;
};
export declare const adoptCssStyle: (root: ShadowRoot, css: HasCSSSymbol) => void;
declare global {
    interface ShadowRoot {
        adoptedStyleSheets: CSSStyleSheet[];
    }
    interface CSSStyleSheet {
        replace(css: string): Promise<unknown>;
        replaceSync(css: string): void;
    }
}
export {};
